import { Routes } from '@angular/router';

export const MOBILE_ROUTES: Routes = [
  {
    path: '',
    children: [
      {
        path: 'home',
        loadComponent: () => import('./page-home/page-home').then(m => m.PageHome)
      },
      {
        path: 'resume',
        loadComponent: () => import('./page-resume/page-resume').then(m => m.PageResume)
      },
      {
        path: 'mine',
        loadComponent: () => import('./page-mine/page-mine').then(m => m.PageMine)
      },
      {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full'
      }
    ]
  },
  {
    path: 'interview/mobile/page-interview', 
    loadComponent: () => import('./page-interview/page-interview').then(m => m.PageInterview)
  },
  {
    path: 'interview/mobile/page-mine', 
    loadComponent: () => import('./page-mine/page-mine').then(m => m.PageMine)
  },
  {
    path: 'interview/mobile/page-job-hunting',
    loadComponent: () => import('./page-job-hunting/page-job-hunting').then(m => m.PageJobHunting)
  },
  {
  path: 'interview/mobile/page-question-bank',
  loadComponent: () => import('./page-question-bank/page-question-bank').then(m => m.PageQuestionBank)
  },
  {
  path: 'interview/mobile/page-job-detail/:id',
  loadComponent: () => import('./page-job-detail/page-job-detail').then(m => m.PageJobDetail)
  },
  {
  path: 'interview/mobile/page-ability-analysis',
  loadComponent: () => import('./page-ability-analysis/page-ability-analysis').then(m => m.PageAbilityAnalysis)
  }

];