import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Router } from '@angular/router';
import { FaIconComponent } from '@fortawesome/angular-fontawesome';
import { 
  faBriefcase, faClock, faCheckCircle, faTimesCircle 
} from '@fortawesome/free-solid-svg-icons';
import { DatePipe } from '@angular/common';
import { NgClass } from '@angular/common';

@Component({
  selector: 'app-page-applications',
  standalone: true,
  imports: [CommonModule, FaIconComponent, DatePipe, NgClass], // 添加必要导入
  templateUrl: './page-applications.html',
  styleUrls: ['./page-applications.scss']
})
export class PageApplications {
  // 定义icons对象
  icons = {
    job: faBriefcase,
    pending: faClock,
    accepted: faCheckCircle,
    rejected: faTimesCircle
  };

  applications: any[] = [];
  jobs: any[] = [];

  constructor(public router: Router) { // 注入Router
    this.loadData();
  }

  loadData() {
    this.applications = JSON.parse(localStorage.getItem('jobApplications') || '[]');
    this.jobs = JSON.parse(localStorage.getItem('jobs') || '[]');
  }

  getJobById(jobId: number) {
    return this.jobs.find(job => job.id === jobId) || {};
  }

  viewJobDetails(jobId: number) {
    this.router.navigate(['/interview/mobile/page-job-hunting'], {
      state: { jobId }
    });
  }
}